<template>
  <div>
    <LayoutTable :data="tableData" :config="tableConfig"> </LayoutTable>

    <dialog-show ref="dialogform" @ok="getData" />
  </div>
</template>

<script>
/** 表单弹出框模式需引入 */
import dialogShow from "./dialogshow";
import table from "@/assets/mixins/table";
export default {
  name: "MatterAccept",
  components: { dialogShow },
  mixins: [table],
  created() {

 this.matterId = this.$route.query && this.$route.query.matterId;
    console.log("accept matterId:"+this.matterId)
    this.config.addQuery = { matterId: this.matterId };

  },
  methods: {
    /** 重写新增方法 */
    toAdd(row) {
      this.$refs.dialogform.add(row);
    },
    /** 重写编辑方法 */
    toEdit(row) {
      this.$refs.dialogform.edit(row);
    },
    /** 重写查看方法 */
    // toView(row) {
    //     this.$refs.dialogform.view(row);
    // },
  },

  data() {
    return {
    matterId:null,
      urls: {
        list: "/matter/accept/list",
        del: "/matter/accept/delete",
        save: "/matter/accept/save",
        add: "/matter/accept/add",
      },
      config: {
        search: [],
        columns: [
          { type: "selection", width: 60 },

          { label: "事项名称", prop: "matterName" },

          { label: "受理条件", prop: "content" },
          {
            label: "操作",
            width: 240,
            formatter: (row) => {
              return (
                <table-buttons
                  noAdd
                  row={row}
                  onEdit={this.toEdit}
                  onView={this.toView}
                  onDel={this.toDel}
                />
              );
            },
          },
        ],
      },
    };
  },
};
</script>